Skip to content

Start SES domain verification (DNS readiness is checked client-side via checkDomainDns)

POST
/domains/{sender}/start-verification
curl --request POST \
--url https://api.pingram.io/domains/example/start-verification \
--header 'Authorization: Bearer <token>'
sender
required
string

Sender domain (URL encoded)

Successful response

Media type application/json
Array<object>
object
sender
required
string
status
required
string
Allowed values: SUCCESS PENDING FAILED TEMPORARY_FAILURE NOT_STARTED
lastSync
required
string format: date-time
verificationTokens
Array<string>
mailFromDomainStatus
string
Allowed values: PENDING SUCCESS FAILED TEMPORARY_FAILURE
createdAt
required
string
privateDKIMKey
string
reminderSentAt
string
selector
required
string
Example
[
{
"status": "SUCCESS",
"mailFromDomainStatus": "PENDING"
}
]

Bad Request - validation errors, invalid input

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Unauthorized

Payment Required - usage limits exceeded

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}

Internal Server Error

Bad Gateway - provider error

Media type application/json

Standard error response for API errors.

object
trackingId
required

Unique tracking ID for the request.

string
error
required

Structured error details for API error responses.

object
code
required

Machine-readable error code.

string
message
required

Human-readable error message.

string
fix

Actionable hint for fixing the error.

string
Example generated
{
"trackingId": "example",
"error": {
"code": "example",
"message": "example",
"fix": "example"
}
}